%define		_status		alpha
%define		_pearname	HTTP_Server
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - HTTP server class
Summary(pl.UTF-8):	%{_pearname} - klasa do obsługi serwera HTTP
Name:		php-pear-%{_pearname}
Version:	0.4.1
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	05b23509d6d9c34a2b78837a272218e5
URL:		http://pear.php.net/package/HTTP_Server/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-HTTP
Requires:	php-pear-Net_Server >= 0.12.0
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} class that allows you to easily implement HTTP servers by
supplying callbacks. The base class will parse the request, call the
apropriate callback and build a response based on an array that the
callbacks have to return.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa HTTP_Server pozwala na łatwe implementowanie serwerów HTTP
poprzez dostarczanie callbacków. Klasa bazowa analizuje żądanie,
wywołuje odpowiedni callback i tworzy odpowiedź w oparciu o tablicę
zwróconą przez callback.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/*.php
%{php_pear_dir}/HTTP/Server
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> c9d77b4
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> 725e62b
- updated to: 0.4.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 42457c5
- updated deps with pearize.sh
- release 6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 81b5c86
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 43bd504
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09f863e
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> dfcc3f4
- BR rpm-build macros >= 1.300 for %pear_ macros

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> ca48771
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> cdea8b8
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> c612ff3
- require php-pear-PEAR-core, not the full PEAR package with deps

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> ca839f8
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> d19b588
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 25276b2
- new pear packaging (fixed %files); rel 2

* Sat Jan 01 2005 Adam Gołębiowski <adamg@pld-linux.org> 6b341b2
- updated to 0.4.0

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> 618883c
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 30f8e8d
- fixed english information about status of the package

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> c139d17
- massive cosmetics

* Sun Feb 01 2004 Adam Gołębiowski <adamg@pld-linux.org> f6b148c
- updated to 0.3

* Tue Oct 07 2003 Adam Gołębiowski <adamg@pld-linux.org> 7191364
- do not use macros in URL

* Sun Aug 31 2003 Adam Gołębiowski <adamg@pld-linux.org> 92d08b4
- more specific URL

